#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
/* _ZN9nNIFSL10019iConnectionStrategy13___CPPKRLCastEPKS0_PKPv=_fdb2b521add9cd8e88c8dbb16e488a0a */
extern int _fdb2b521add9cd8e88c8dbb16e488a0a;
nNIKAL100_mExportSymbol(_fdb2b521add9cd8e88c8dbb16e488a0a);
/* _ZN9nNIFSL10019iConnectionStrategy13___CPPKRLCastEPS0_PKPv=_50be9261e30b737dbcce297cc12d02bb */
extern int _50be9261e30b737dbcce297cc12d02bb;
nNIKAL100_mExportSymbol(_50be9261e30b737dbcce297cc12d02bb);
/* _ZNK9nNIFSL10019iConnectionStrategy20___CPPKRLDynamicCastEPKPv=_6eb1a77d04d5e7e5d90707bda80db547 */
extern int _6eb1a77d04d5e7e5d90707bda80db547;
nNIKAL100_mExportSymbol(_6eb1a77d04d5e7e5d90707bda80db547);
/* _ZN9nNIFSL10019iConnectionStrategy20___CPPKRLDynamicCastEPKPv=_89313d5e0f2f6518c89222e012241a20 */
extern int _89313d5e0f2f6518c89222e012241a20;
nNIKAL100_mExportSymbol(_89313d5e0f2f6518c89222e012241a20);
extern int _ZN9nNIFSL10019iConnectionStrategyD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10019iConnectionStrategyD2Ev);
extern int _ZN9nNIFSL10019iConnectionStrategyD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10019iConnectionStrategyD1Ev);
extern int _ZN9nNIFSL10019iConnectionStrategyD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10019iConnectionStrategyD0Ev);
extern int _ZN9nNIFSL1009iFTIDPoolD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL1009iFTIDPoolD2Ev);
extern int _ZN9nNIFSL1009iFTIDPoolD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL1009iFTIDPoolD1Ev);
extern int _ZN9nNIFSL1009iFTIDPoolD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL1009iFTIDPoolD0Ev);
extern int _ZN9nNIFSL10013iFTIDReserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013iFTIDReserverD2Ev);
extern int _ZN9nNIFSL10013iFTIDReserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013iFTIDReserverD1Ev);
extern int _ZN9nNIFSL10013iFTIDReserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013iFTIDReserverD0Ev);
/* _ZN9nNIFSL10034tEventDispatcherParameterSimulated13___CPPKRLCastEPS0_PKPv=_30b112ef6fbe3cde79db066287e205ee */
extern int _30b112ef6fbe3cde79db066287e205ee;
nNIKAL100_mExportSymbol(_30b112ef6fbe3cde79db066287e205ee);
/* _ZN9nNIFSL10034tEventDispatcherParameterSimulated20___CPPKRLDynamicCastEPKPv=_33c7b7373c45361bb22a118a8417ed6b */
extern int _33c7b7373c45361bb22a118a8417ed6b;
nNIKAL100_mExportSymbol(_33c7b7373c45361bb22a118a8417ed6b);
/* _ZN9nNIFSL10034tEventDispatcherParameterSimulated13___CPPKRLCastEPKS0_PKPv=_ff2f0be7e726383102d144f92a471ef8 */
extern int _ff2f0be7e726383102d144f92a471ef8;
nNIKAL100_mExportSymbol(_ff2f0be7e726383102d144f92a471ef8);
/* _ZNK9nNIFSL10034tEventDispatcherParameterSimulated20___CPPKRLDynamicCastEPKPv=_81b65b72469b1dcb63f5c01e52529a51 */
extern int _81b65b72469b1dcb63f5c01e52529a51;
nNIKAL100_mExportSymbol(_81b65b72469b1dcb63f5c01e52529a51);
/* _ZN9nNIFSL10036tMessageDispatcherParameterSimulated13___CPPKRLCastEPS0_PKPv=_5841d46399111611db44c82e69d54ace */
extern int _5841d46399111611db44c82e69d54ace;
nNIKAL100_mExportSymbol(_5841d46399111611db44c82e69d54ace);
/* _ZN9nNIFSL10036tMessageDispatcherParameterSimulated20___CPPKRLDynamicCastEPKPv=_c07caa95b1155b5ac5c83aa57f9ed122 */
extern int _c07caa95b1155b5ac5c83aa57f9ed122;
nNIKAL100_mExportSymbol(_c07caa95b1155b5ac5c83aa57f9ed122);
/* _ZN9nNIFSL10036tMessageDispatcherParameterSimulated13___CPPKRLCastEPKS0_PKPv=_51e692269204516de284458a4ed40ced */
extern int _51e692269204516de284458a4ed40ced;
nNIKAL100_mExportSymbol(_51e692269204516de284458a4ed40ced);
/* _ZNK9nNIFSL10036tMessageDispatcherParameterSimulated20___CPPKRLDynamicCastEPKPv=_ac8698243740dd79e0c92b8d8a22b9bd */
extern int _ac8698243740dd79e0c92b8d8a22b9bd;
nNIKAL100_mExportSymbol(_ac8698243740dd79e0c92b8d8a22b9bd);
/* _ZN9nNIFSL10024tAutoDeletingFusionBatch11sendMessageEPNS_12tFusionBatchEPNS_13tFusionPackerERN10nNIMDBG1008tStatus2E=_2ea6c253f4c6b1b26c8f8e167cb57c12 */
extern int _2ea6c253f4c6b1b26c8f8e167cb57c12;
nNIKAL100_mExportSymbol(_2ea6c253f4c6b1b26c8f8e167cb57c12);
extern int _ZN9nNIFSL10024tAutoDeletingFusionBatchD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10024tAutoDeletingFusionBatchD1Ev);
extern int _ZN9nNIFSL10024tAutoDeletingFusionBatchD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10024tAutoDeletingFusionBatchD2Ev);
extern int _ZN9nNIFSL10024tAutoDeletingFusionBatchD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10024tAutoDeletingFusionBatchD0Ev);
/* _ZN9nNIFSL10024tAutoDeletingFusionBatchC1ERN10nNIMDBG1008tStatus2Ej=_d05011f027ebf5ad32f0a1b7f61a2d47 */
extern int _d05011f027ebf5ad32f0a1b7f61a2d47;
nNIKAL100_mExportSymbol(_d05011f027ebf5ad32f0a1b7f61a2d47);
/* _ZN9nNIFSL10024tAutoDeletingFusionBatchC2ERN10nNIMDBG1008tStatus2Ej=_f41376058c358f064b25bcd074099688 */
extern int _f41376058c358f064b25bcd074099688;
nNIKAL100_mExportSymbol(_f41376058c358f064b25bcd074099688);
/* _ZN9nNIFSL10031tEventDispatcherParameterPolled13___CPPKRLCastEPS0_PKPv=_8922d2e7f961376afe05f68bde1244a8 */
extern int _8922d2e7f961376afe05f68bde1244a8;
nNIKAL100_mExportSymbol(_8922d2e7f961376afe05f68bde1244a8);
/* _ZN9nNIFSL10031tEventDispatcherParameterPolled20___CPPKRLDynamicCastEPKPv=_da4a1887dc1a3a655409f551cd0c8786 */
extern int _da4a1887dc1a3a655409f551cd0c8786;
nNIKAL100_mExportSymbol(_da4a1887dc1a3a655409f551cd0c8786);
/* _ZN9nNIFSL10031tEventDispatcherParameterPolled13___CPPKRLCastEPKS0_PKPv=_f8943d138f9df42efa1919b535bcf74b */
extern int _f8943d138f9df42efa1919b535bcf74b;
nNIKAL100_mExportSymbol(_f8943d138f9df42efa1919b535bcf74b);
/* _ZNK9nNIFSL10031tEventDispatcherParameterPolled20___CPPKRLDynamicCastEPKPv=_0924d123a0d8a735c5cdfe6d85010729 */
extern int _0924d123a0d8a735c5cdfe6d85010729;
nNIKAL100_mExportSymbol(_0924d123a0d8a735c5cdfe6d85010729);
/* _ZN9nNIFSL10016tFTIDPoolFactory7destroyERPNS_9iFTIDPoolE=_0ac709b1e6400e973c46491fabd4e533 */
extern int _0ac709b1e6400e973c46491fabd4e533;
nNIKAL100_mExportSymbol(_0ac709b1e6400e973c46491fabd4e533);
/* _ZN9nNIFSL10016tFTIDPoolFactory6createERN10nNIMDBG1008tStatus2E=_0edf9f33da421253a8019df0c14162c8 */
extern int _0edf9f33da421253a8019df0c14162c8;
nNIKAL100_mExportSymbol(_0edf9f33da421253a8019df0c14162c8);
/* _ZN9nNIFSL10020tFTIDReserverFactory7destroyERPNS_13iFTIDReserverE=_c379e8c93e99713f26fae14d5e9d6df3 */
extern int _c379e8c93e99713f26fae14d5e9d6df3;
nNIKAL100_mExportSymbol(_c379e8c93e99713f26fae14d5e9d6df3);
/* _ZN9nNIFSL10020tFTIDReserverFactory6createERN10nNIMDBG1008tStatus2E=_32c45c54bcd03602a0d95992869596e0 */
extern int _32c45c54bcd03602a0d95992869596e0;
nNIKAL100_mExportSymbol(_32c45c54bcd03602a0d95992869596e0);
extern int _ZN9nNIFSL10012tFusionBatchC1ERN10nNIMDBG1008tStatus2Ej;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10012tFusionBatchC1ERN10nNIMDBG1008tStatus2Ej);
extern int _ZN9nNIFSL10012tFusionBatchC2ERN10nNIMDBG1008tStatus2Ej;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10012tFusionBatchC2ERN10nNIMDBG1008tStatus2Ej);
/* _ZN9nNIFSL10012tFusionBatch5clearERN10nNIMDBG1008tStatus2E=_3e387d315644e2e7ae83bdb95137a01d */
extern int _3e387d315644e2e7ae83bdb95137a01d;
nNIKAL100_mExportSymbol(_3e387d315644e2e7ae83bdb95137a01d);
extern int _ZN9nNIFSL10012tFusionBatchD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10012tFusionBatchD0Ev);
/* _ZN9nNIFSL10012tFusionBatch5beginERN10nNIMDBG1008tStatus2E=_87a176ce465949145ae89d319c7bf6da */
extern int _87a176ce465949145ae89d319c7bf6da;
nNIKAL100_mExportSymbol(_87a176ce465949145ae89d319c7bf6da);
extern int _ZN9nNIFSL10012tFusionBatchD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10012tFusionBatchD1Ev);
extern int _ZN9nNIFSL10012tFusionBatchD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10012tFusionBatchD2Ev);
/* _ZN9nNIFSL10012tFusionBatch3endERN10nNIMDBG1008tStatus2E=_08ce1791f6003362d14e13fcee05595b */
extern int _08ce1791f6003362d14e13fcee05595b;
nNIKAL100_mExportSymbol(_08ce1791f6003362d14e13fcee05595b);
/* _ZN9nNIFSL10012tFusionBatch12queueMessageEPNS_13tFusionPackerERN10nNIMDBG1008tStatus2E=_dd2ccc3865c17e92ace15420e7aa45fe */
extern int _dd2ccc3865c17e92ace15420e7aa45fe;
nNIKAL100_mExportSymbol(_dd2ccc3865c17e92ace15420e7aa45fe);
/* _ZN9nNIFSL10012tFusionBatch11sendMessageEPS0_PNS_13tFusionPackerERN10nNIMDBG1008tStatus2E=_d4d7115016cb8352aec40bb496cc93a2 */
extern int _d4d7115016cb8352aec40bb496cc93a2;
nNIKAL100_mExportSymbol(_d4d7115016cb8352aec40bb496cc93a2);
/* _ZN9nNIFSL10013tFusionPackerC2EPNS_18iMessageDispatcherEPNS_13iFTIDReserverEt=_86cddd69eca24c04ea05eac07ef1aee1 */
extern int _86cddd69eca24c04ea05eac07ef1aee1;
nNIKAL100_mExportSymbol(_86cddd69eca24c04ea05eac07ef1aee1);
/* _ZN9nNIFSL10013tFusionPackerC1EPNS_18iMessageDispatcherEPNS_13iFTIDReserverEt=_3697f18d70fc1371590da49b9d3b3b0c */
extern int _3697f18d70fc1371590da49b9d3b3b0c;
nNIKAL100_mExportSymbol(_3697f18d70fc1371590da49b9d3b3b0c);
extern int _ZN9nNIFSL10013tFusionPackerD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013tFusionPackerD2Ev);
extern int _ZN9nNIFSL10013tFusionPackerD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013tFusionPackerD1Ev);
extern int _ZN9nNIFSL10013tFusionPackerD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10013tFusionPackerD0Ev);
/* _ZN9nNIFSL10025tMessageDispatcherFactory24destroyMessageDispatcherEPNS_18iMessageDispatcherERN10nNIMDBG1008tStatus2E=_508116a8e756a240745ec4ccff86692a */
extern int _508116a8e756a240745ec4ccff86692a;
nNIKAL100_mExportSymbol(_508116a8e756a240745ec4ccff86692a);
/* _ZN9nNIFSL10025tMessageDispatcherFactory23createMessageDispatcherERKNS_27tMessageDispatcherParameterERN10nNIMDBG1008tStatus2E=_ab8c267231793cc56ee1d0cac384c7b9 */
extern int _ab8c267231793cc56ee1d0cac384c7b9;
nNIKAL100_mExportSymbol(_ab8c267231793cc56ee1d0cac384c7b9);
/* _ZN9nNIFSL10037tEventDispatcherParameterUSBInterrupt13___CPPKRLCastEPS0_PKPv=_c79c7492833e52f436bb2bc0e1771d31 */
extern int _c79c7492833e52f436bb2bc0e1771d31;
nNIKAL100_mExportSymbol(_c79c7492833e52f436bb2bc0e1771d31);
/* _ZN9nNIFSL10037tEventDispatcherParameterUSBInterrupt20___CPPKRLDynamicCastEPKPv=_c0a3fee87c6a2a29bd40cedbd63cc42c */
extern int _c0a3fee87c6a2a29bd40cedbd63cc42c;
nNIKAL100_mExportSymbol(_c0a3fee87c6a2a29bd40cedbd63cc42c);
/* _ZN9nNIFSL10037tEventDispatcherParameterUSBInterrupt13___CPPKRLCastEPKS0_PKPv=_c9b44718a7ad630ea8ca80b68d9b72b3 */
extern int _c9b44718a7ad630ea8ca80b68d9b72b3;
nNIKAL100_mExportSymbol(_c9b44718a7ad630ea8ca80b68d9b72b3);
/* _ZNK9nNIFSL10037tEventDispatcherParameterUSBInterrupt20___CPPKRLDynamicCastEPKPv=_9f0e8e2a8b79cebc356aafa169bd3233 */
extern int _9f0e8e2a8b79cebc356aafa169bd3233;
nNIKAL100_mExportSymbol(_9f0e8e2a8b79cebc356aafa169bd3233);
/* _ZN9nNIFSL10030tMessageDispatcherParameterUSB13___CPPKRLCastEPS0_PKPv=_0ddd7df9ddccebdad4400017f1bf3cd6 */
extern int _0ddd7df9ddccebdad4400017f1bf3cd6;
nNIKAL100_mExportSymbol(_0ddd7df9ddccebdad4400017f1bf3cd6);
/* _ZN9nNIFSL10030tMessageDispatcherParameterUSB20___CPPKRLDynamicCastEPKPv=_1fd22c9a7c4757eef9b109028726bcfd */
extern int _1fd22c9a7c4757eef9b109028726bcfd;
nNIKAL100_mExportSymbol(_1fd22c9a7c4757eef9b109028726bcfd);
/* _ZN9nNIFSL10030tMessageDispatcherParameterUSB13___CPPKRLCastEPKS0_PKPv=_74ecd96bb54b6f7080cbd650d1a8ac6e */
extern int _74ecd96bb54b6f7080cbd650d1a8ac6e;
nNIKAL100_mExportSymbol(_74ecd96bb54b6f7080cbd650d1a8ac6e);
/* _ZNK9nNIFSL10030tMessageDispatcherParameterUSB20___CPPKRLDynamicCastEPKPv=_5f56e3af27537a8c03640f95caff6f94 */
extern int _5f56e3af27537a8c03640f95caff6f94;
nNIKAL100_mExportSymbol(_5f56e3af27537a8c03640f95caff6f94);
/* _ZN9nNIFSL10022iHeartbeatLossObserver13___CPPKRLCastEPKS0_PKPv=_b9a91a3fece84fccec6b048555300209 */
extern int _b9a91a3fece84fccec6b048555300209;
nNIKAL100_mExportSymbol(_b9a91a3fece84fccec6b048555300209);
/* _ZN9nNIFSL10022iHeartbeatLossObserver13___CPPKRLCastEPS0_PKPv=_a23e37f361d8e5efdc083971046a6e83 */
extern int _a23e37f361d8e5efdc083971046a6e83;
nNIKAL100_mExportSymbol(_a23e37f361d8e5efdc083971046a6e83);
/* _ZNK9nNIFSL10022iHeartbeatLossObserver20___CPPKRLDynamicCastEPKPv=_e25b37258dfd5d40e45e5c34dca7bb28 */
extern int _e25b37258dfd5d40e45e5c34dca7bb28;
nNIKAL100_mExportSymbol(_e25b37258dfd5d40e45e5c34dca7bb28);
/* _ZN9nNIFSL10022iHeartbeatLossObserver20___CPPKRLDynamicCastEPKPv=_cfe8ed21a5ecd00b15a8c0341dc9071a */
extern int _cfe8ed21a5ecd00b15a8c0341dc9071a;
nNIKAL100_mExportSymbol(_cfe8ed21a5ecd00b15a8c0341dc9071a);
extern int _ZN9nNIFSL10022iHeartbeatLossObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022iHeartbeatLossObserverD2Ev);
extern int _ZN9nNIFSL10022iHeartbeatLossObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022iHeartbeatLossObserverD1Ev);
extern int _ZN9nNIFSL10022iHeartbeatLossObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022iHeartbeatLossObserverD0Ev);
/* _ZN9nNIFSL10028tEventDispatcherParameterTCP13___CPPKRLCastEPS0_PKPv=_1e275802c728ea88caf7ea9044f41379 */
extern int _1e275802c728ea88caf7ea9044f41379;
nNIKAL100_mExportSymbol(_1e275802c728ea88caf7ea9044f41379);
/* _ZN9nNIFSL10028tEventDispatcherParameterTCP20___CPPKRLDynamicCastEPKPv=_785ff774450fda4b8f90f289ec67174c */
extern int _785ff774450fda4b8f90f289ec67174c;
nNIKAL100_mExportSymbol(_785ff774450fda4b8f90f289ec67174c);
/* _ZN9nNIFSL10028tEventDispatcherParameterTCP13___CPPKRLCastEPKS0_PKPv=_b5bae8752fe6519f2857d49a9decbf99 */
extern int _b5bae8752fe6519f2857d49a9decbf99;
nNIKAL100_mExportSymbol(_b5bae8752fe6519f2857d49a9decbf99);
/* _ZNK9nNIFSL10028tEventDispatcherParameterTCP20___CPPKRLDynamicCastEPKPv=_5c8eb1a1a126c5e9a3c2260f9ecfc12f */
extern int _5c8eb1a1a126c5e9a3c2260f9ecfc12f;
nNIKAL100_mExportSymbol(_5c8eb1a1a126c5e9a3c2260f9ecfc12f);
/* _ZN9nNIFSL10030tMessageDispatcherParameterTCP13___CPPKRLCastEPS0_PKPv=_08df0367d06d41a79da8aec6eb85e445 */
extern int _08df0367d06d41a79da8aec6eb85e445;
nNIKAL100_mExportSymbol(_08df0367d06d41a79da8aec6eb85e445);
/* _ZN9nNIFSL10030tMessageDispatcherParameterTCP20___CPPKRLDynamicCastEPKPv=_cead8475d8e5cfb379dff5eca4aaf054 */
extern int _cead8475d8e5cfb379dff5eca4aaf054;
nNIKAL100_mExportSymbol(_cead8475d8e5cfb379dff5eca4aaf054);
/* _ZN9nNIFSL10030tMessageDispatcherParameterTCP13___CPPKRLCastEPKS0_PKPv=_8fdb993c31a9a9f23d1df2522ebe3023 */
extern int _8fdb993c31a9a9f23d1df2522ebe3023;
nNIKAL100_mExportSymbol(_8fdb993c31a9a9f23d1df2522ebe3023);
/* _ZNK9nNIFSL10030tMessageDispatcherParameterTCP20___CPPKRLDynamicCastEPKPv=_f36c77f830c9e48ec78781815e91cfef */
extern int _f36c77f830c9e48ec78781815e91cfef;
nNIKAL100_mExportSymbol(_f36c77f830c9e48ec78781815e91cfef);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC2ERK16sockaddr_storagejjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_642a1d826e3bd09298f9aca4bba946c5 */
extern int _642a1d826e3bd09298f9aca4bba946c5;
nNIKAL100_mExportSymbol(_642a1d826e3bd09298f9aca4bba946c5);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC1ERK16sockaddr_storagejjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_fbf485ecaad33f77a29f2d3497700e6d */
extern int _fbf485ecaad33f77a29f2d3497700e6d;
nNIKAL100_mExportSymbol(_fbf485ecaad33f77a29f2d3497700e6d);
extern int _ZN9nNIFSL10022tTCPConnectionStrategyD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022tTCPConnectionStrategyD1Ev);
extern int _ZN9nNIFSL10022tTCPConnectionStrategyD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022tTCPConnectionStrategyD2Ev);
extern int _ZN9nNIFSL10022tTCPConnectionStrategyD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022tTCPConnectionStrategyD0Ev);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC1EjtjjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_0d05a259e770de6d147b11622c4c3956 */
extern int _0d05a259e770de6d147b11622c4c3956;
nNIKAL100_mExportSymbol(_0d05a259e770de6d147b11622c4c3956);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC2EjtjjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_d52817dbc45c3aafb1333dc2b1ad6c16 */
extern int _d52817dbc45c3aafb1333dc2b1ad6c16;
nNIKAL100_mExportSymbol(_d52817dbc45c3aafb1333dc2b1ad6c16);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC1EjtjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_b9a11ea3fda94d3b00656baec02c6686 */
extern int _b9a11ea3fda94d3b00656baec02c6686;
nNIKAL100_mExportSymbol(_b9a11ea3fda94d3b00656baec02c6686);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC2EjtjNS_14tHeartbeatTypeERN10nNIMDBG1008tStatus2E=_a15985eab6c1fe7f6e8387c5c34b33e4 */
extern int _a15985eab6c1fe7f6e8387c5c34b33e4;
nNIKAL100_mExportSymbol(_a15985eab6c1fe7f6e8387c5c34b33e4);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC1EjtjRN10nNIMDBG1008tStatus2E=_238d9c807fd6fb155010de89236e4fb7 */
extern int _238d9c807fd6fb155010de89236e4fb7;
nNIKAL100_mExportSymbol(_238d9c807fd6fb155010de89236e4fb7);
/* _ZN9nNIFSL10022tTCPConnectionStrategyC2EjtjRN10nNIMDBG1008tStatus2E=_ed967f83828d4b1f4502653516a6cdb0 */
extern int _ed967f83828d4b1f4502653516a6cdb0;
nNIKAL100_mExportSymbol(_ed967f83828d4b1f4502653516a6cdb0);
/* _ZN9nNIFSL10022tTCPConnectionStrategy13___CPPKRLCastEPS0_PKPv=_d37a693bc0a4c5a69602e24e6329fb0c */
extern int _d37a693bc0a4c5a69602e24e6329fb0c;
nNIKAL100_mExportSymbol(_d37a693bc0a4c5a69602e24e6329fb0c);
/* _ZN9nNIFSL10022tTCPConnectionStrategy20___CPPKRLDynamicCastEPKPv=_a72ec2b7ae342bab904bfb81e3af3d63 */
extern int _a72ec2b7ae342bab904bfb81e3af3d63;
nNIKAL100_mExportSymbol(_a72ec2b7ae342bab904bfb81e3af3d63);
/* _ZN9nNIFSL10022tTCPConnectionStrategy13___CPPKRLCastEPKS0_PKPv=_45aee3430603180ed527c8afff89f33e */
extern int _45aee3430603180ed527c8afff89f33e;
nNIKAL100_mExportSymbol(_45aee3430603180ed527c8afff89f33e);
/* _ZNK9nNIFSL10022tTCPConnectionStrategy20___CPPKRLDynamicCastEPKPv=_902efa590424916e9629859faf562d7a */
extern int _902efa590424916e9629859faf562d7a;
nNIKAL100_mExportSymbol(_902efa590424916e9629859faf562d7a);
extern int _ZN9nNIFSL10027iCHInChSharedMemoryEndpointD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027iCHInChSharedMemoryEndpointD2Ev);
extern int _ZN9nNIFSL10027iCHInChSharedMemoryEndpointD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027iCHInChSharedMemoryEndpointD1Ev);
extern int _ZN9nNIFSL10027iCHInChSharedMemoryEndpointD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027iCHInChSharedMemoryEndpointD0Ev);
/* _ZN9nNIFSL10043iCHInChSharedMemoryEventTransferredNotifierD2Ev=_635c807ed344f6f1faf2c6f95124150d */
extern int _635c807ed344f6f1faf2c6f95124150d;
nNIKAL100_mExportSymbol(_635c807ed344f6f1faf2c6f95124150d);
/* _ZN9nNIFSL10043iCHInChSharedMemoryEventTransferredNotifierD1Ev=_9ae723f23b12120849e4139b40ca0c28 */
extern int _9ae723f23b12120849e4139b40ca0c28;
nNIKAL100_mExportSymbol(_9ae723f23b12120849e4139b40ca0c28);
/* _ZN9nNIFSL10043iCHInChSharedMemoryEventTransferredNotifierD0Ev=_ca63f07da24510871209e840f92f1b6d */
extern int _ca63f07da24510871209e840f92f1b6d;
nNIKAL100_mExportSymbol(_ca63f07da24510871209e840f92f1b6d);
/* _ZN9nNIFSL10041iCHInChSharedMemoryRequestHandledNotifierD2Ev=_23b7fee634dbf579e1bb943babf97103 */
extern int _23b7fee634dbf579e1bb943babf97103;
nNIKAL100_mExportSymbol(_23b7fee634dbf579e1bb943babf97103);
/* _ZN9nNIFSL10041iCHInChSharedMemoryRequestHandledNotifierD1Ev=_7a1257f0f8b3114aa4c95c83df17296b */
extern int _7a1257f0f8b3114aa4c95c83df17296b;
nNIKAL100_mExportSymbol(_7a1257f0f8b3114aa4c95c83df17296b);
/* _ZN9nNIFSL10041iCHInChSharedMemoryRequestHandledNotifierD0Ev=_eaf39a4df07da0ca8eb5ec24b0e45bae */
extern int _eaf39a4df07da0ca8eb5ec24b0e45bae;
nNIKAL100_mExportSymbol(_eaf39a4df07da0ca8eb5ec24b0e45bae);
/* _ZN9nNIFSL10045iCHInChSharedMemoryRequestTransferredNotifierD2Ev=_86814ada95e88bb0394454f9a3bdc837 */
extern int _86814ada95e88bb0394454f9a3bdc837;
nNIKAL100_mExportSymbol(_86814ada95e88bb0394454f9a3bdc837);
/* _ZN9nNIFSL10045iCHInChSharedMemoryRequestTransferredNotifierD1Ev=_3111958adf4919bc975ebbf7aa5f1789 */
extern int _3111958adf4919bc975ebbf7aa5f1789;
nNIKAL100_mExportSymbol(_3111958adf4919bc975ebbf7aa5f1789);
/* _ZN9nNIFSL10045iCHInChSharedMemoryRequestTransferredNotifierD0Ev=_43f653a5a4efcf54cc3bc069959b4831 */
extern int _43f653a5a4efcf54cc3bc069959b4831;
nNIKAL100_mExportSymbol(_43f653a5a4efcf54cc3bc069959b4831);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemoryC2ERN10nNIMDBG1008tStatus2Ej=_d2b80fd96d176a737be56c9f3d187114 */
extern int _d2b80fd96d176a737be56c9f3d187114;
nNIKAL100_mExportSymbol(_d2b80fd96d176a737be56c9f3d187114);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemoryC1ERN10nNIMDBG1008tStatus2Ej=_7e191e0d66f7d55ec18d7108261900e9 */
extern int _7e191e0d66f7d55ec18d7108261900e9;
nNIKAL100_mExportSymbol(_7e191e0d66f7d55ec18d7108261900e9);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemoryD2Ev=_7f9ebc157332182155a748e56fd1ba17 */
extern int _7f9ebc157332182155a748e56fd1ba17;
nNIKAL100_mExportSymbol(_7f9ebc157332182155a748e56fd1ba17);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemoryD1Ev=_2f12dcfb307c057f7cb6f87736bfeac8 */
extern int _2f12dcfb307c057f7cb6f87736bfeac8;
nNIKAL100_mExportSymbol(_2f12dcfb307c057f7cb6f87736bfeac8);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemoryD0Ev=_742237c10d6585c41d17d4a1d392f60e */
extern int _742237c10d6585c41d17d4a1d392f60e;
nNIKAL100_mExportSymbol(_742237c10d6585c41d17d4a1d392f60e);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemory13___CPPKRLCastEPS0_PKPv=_7fc9360d90e84ca4951479e10114bfc5 */
extern int _7fc9360d90e84ca4951479e10114bfc5;
nNIKAL100_mExportSymbol(_7fc9360d90e84ca4951479e10114bfc5);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemory20___CPPKRLDynamicCastEPKPv=_e5a237e9bd68391b5489f005c1c65292 */
extern int _e5a237e9bd68391b5489f005c1c65292;
nNIKAL100_mExportSymbol(_e5a237e9bd68391b5489f005c1c65292);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemory13___CPPKRLCastEPKS0_PKPv=_21708cf0266cbd62af784a24c1f11009 */
extern int _21708cf0266cbd62af784a24c1f11009;
nNIKAL100_mExportSymbol(_21708cf0266cbd62af784a24c1f11009);
/* _ZNK9nNIFSL10043tEventDispatcherParameterCHInChSharedMemory20___CPPKRLDynamicCastEPKPv=_8c6098ef2d210a8caadd55f3163ee981 */
extern int _8c6098ef2d210a8caadd55f3163ee981;
nNIKAL100_mExportSymbol(_8c6098ef2d210a8caadd55f3163ee981);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemoryC2EPNS_27iCHInChSharedMemoryEndpointERN10nNIMDBG1008tStatus2Ej=_2b8cab9bcdfc8486f972c82509f819cd */
extern int _2b8cab9bcdfc8486f972c82509f819cd;
nNIKAL100_mExportSymbol(_2b8cab9bcdfc8486f972c82509f819cd);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemoryC1EPNS_27iCHInChSharedMemoryEndpointERN10nNIMDBG1008tStatus2Ej=_b846d71a6a465461a0f9ec4ece2ecb1b */
extern int _b846d71a6a465461a0f9ec4ece2ecb1b;
nNIKAL100_mExportSymbol(_b846d71a6a465461a0f9ec4ece2ecb1b);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemoryD2Ev=_f4b7a33991b42af18ac2152c6805257c */
extern int _f4b7a33991b42af18ac2152c6805257c;
nNIKAL100_mExportSymbol(_f4b7a33991b42af18ac2152c6805257c);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemoryD1Ev=_28a67e17b7b484f733e93d2923315c60 */
extern int _28a67e17b7b484f733e93d2923315c60;
nNIKAL100_mExportSymbol(_28a67e17b7b484f733e93d2923315c60);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemoryD0Ev=_81e43947cf87a1c5460982556a828bc2 */
extern int _81e43947cf87a1c5460982556a828bc2;
nNIKAL100_mExportSymbol(_81e43947cf87a1c5460982556a828bc2);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemory13___CPPKRLCastEPS0_PKPv=_57fc44353f4ac0ec80d972b41ab59f05 */
extern int _57fc44353f4ac0ec80d972b41ab59f05;
nNIKAL100_mExportSymbol(_57fc44353f4ac0ec80d972b41ab59f05);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemory20___CPPKRLDynamicCastEPKPv=_44b877e0a0a9328541e1993cccf63c7b */
extern int _44b877e0a0a9328541e1993cccf63c7b;
nNIKAL100_mExportSymbol(_44b877e0a0a9328541e1993cccf63c7b);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemory13___CPPKRLCastEPKS0_PKPv=_0ee2154856b6f5ec155f6ef80c6b3422 */
extern int _0ee2154856b6f5ec155f6ef80c6b3422;
nNIKAL100_mExportSymbol(_0ee2154856b6f5ec155f6ef80c6b3422);
/* _ZNK9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemory20___CPPKRLDynamicCastEPKPv=_e96172ad041a642b76e007e12237fa15 */
extern int _e96172ad041a642b76e007e12237fa15;
nNIKAL100_mExportSymbol(_e96172ad041a642b76e007e12237fa15);
/* _ZN9nNIFSL10016iEventDispatcher13___CPPKRLCastEPKS0_PKPv=_91dd9392e1e8244f0fe45f47ea6168b7 */
extern int _91dd9392e1e8244f0fe45f47ea6168b7;
nNIKAL100_mExportSymbol(_91dd9392e1e8244f0fe45f47ea6168b7);
extern int _ZN9nNIFSL10016iEventDispatcher13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016iEventDispatcher13___CPPKRLCastEPS0_PKPv);
/* _ZNK9nNIFSL10016iEventDispatcher20___CPPKRLDynamicCastEPKPv=_79c3c90d16cce88b4c16b974df600594 */
extern int _79c3c90d16cce88b4c16b974df600594;
nNIKAL100_mExportSymbol(_79c3c90d16cce88b4c16b974df600594);
/* _ZN9nNIFSL10016iEventDispatcher20___CPPKRLDynamicCastEPKPv=_35ce382e06eadc3be6594aca2fff82e5 */
extern int _35ce382e06eadc3be6594aca2fff82e5;
nNIKAL100_mExportSymbol(_35ce382e06eadc3be6594aca2fff82e5);
extern int _ZN9nNIFSL10016iEventDispatcherD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016iEventDispatcherD2Ev);
extern int _ZN9nNIFSL10016iEventDispatcherD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016iEventDispatcherD1Ev);
extern int _ZN9nNIFSL10016iEventDispatcherD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016iEventDispatcherD0Ev);
extern int _ZN9nNIFSL10014iEventInjector13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjector13___CPPKRLCastEPKS0_PKPv);
extern int _ZN9nNIFSL10014iEventInjector13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjector13___CPPKRLCastEPS0_PKPv);
/* _ZNK9nNIFSL10014iEventInjector20___CPPKRLDynamicCastEPKPv=_e033ef8322df9e45db252bba0b5456e9 */
extern int _e033ef8322df9e45db252bba0b5456e9;
nNIKAL100_mExportSymbol(_e033ef8322df9e45db252bba0b5456e9);
/* _ZN9nNIFSL10014iEventInjector20___CPPKRLDynamicCastEPKPv=_335d4e77ca4f0ebe7a587768c525d7c5 */
extern int _335d4e77ca4f0ebe7a587768c525d7c5;
nNIKAL100_mExportSymbol(_335d4e77ca4f0ebe7a587768c525d7c5);
extern int _ZN9nNIFSL10014iEventInjectorD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjectorD2Ev);
extern int _ZN9nNIFSL10014iEventInjectorD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjectorD1Ev);
extern int _ZN9nNIFSL10014iEventInjectorD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjectorD0Ev);
extern int _ZN9nNIFSL10014iEventObserver13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserver13___CPPKRLCastEPKS0_PKPv);
extern int _ZN9nNIFSL10014iEventObserver13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserver13___CPPKRLCastEPS0_PKPv);
/* _ZNK9nNIFSL10014iEventObserver20___CPPKRLDynamicCastEPKPv=_94dbea1af8415b2deda9a2a1728a4e86 */
extern int _94dbea1af8415b2deda9a2a1728a4e86;
nNIKAL100_mExportSymbol(_94dbea1af8415b2deda9a2a1728a4e86);
/* _ZN9nNIFSL10014iEventObserver20___CPPKRLDynamicCastEPKPv=_7a3f188c301e09c1e8687d6727a546d1 */
extern int _7a3f188c301e09c1e8687d6727a546d1;
nNIKAL100_mExportSymbol(_7a3f188c301e09c1e8687d6727a546d1);
extern int _ZN9nNIFSL10014iEventObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserverD2Ev);
extern int _ZN9nNIFSL10014iEventObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserverD1Ev);
extern int _ZN9nNIFSL10014iEventObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserverD0Ev);
/* _ZN9nNIFSL10018iMessageDispatcher13___CPPKRLCastEPKS0_PKPv=_22c3be107d1e61756c6485f210ec103c */
extern int _22c3be107d1e61756c6485f210ec103c;
nNIKAL100_mExportSymbol(_22c3be107d1e61756c6485f210ec103c);
/* _ZN9nNIFSL10018iMessageDispatcher13___CPPKRLCastEPS0_PKPv=_140bd9781fc1494ebbdd913606bf279f */
extern int _140bd9781fc1494ebbdd913606bf279f;
nNIKAL100_mExportSymbol(_140bd9781fc1494ebbdd913606bf279f);
/* _ZNK9nNIFSL10018iMessageDispatcher20___CPPKRLDynamicCastEPKPv=_4ed84f63531ab00d2df9b6bca528a94f */
extern int _4ed84f63531ab00d2df9b6bca528a94f;
nNIKAL100_mExportSymbol(_4ed84f63531ab00d2df9b6bca528a94f);
/* _ZN9nNIFSL10018iMessageDispatcher20___CPPKRLDynamicCastEPKPv=_09c0079670fa509cad75fe825587dc72 */
extern int _09c0079670fa509cad75fe825587dc72;
nNIKAL100_mExportSymbol(_09c0079670fa509cad75fe825587dc72);
extern int _ZN9nNIFSL10018iMessageDispatcherD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10018iMessageDispatcherD2Ev);
extern int _ZN9nNIFSL10018iMessageDispatcherD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10018iMessageDispatcherD1Ev);
extern int _ZN9nNIFSL10018iMessageDispatcherD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10018iMessageDispatcherD0Ev);
/* _ZN9nNIFSL10021iStreamAndLockFactory13___CPPKRLCastEPKS0_PKPv=_4c73fd2025adf2ae78bbc5e20e514e47 */
extern int _4c73fd2025adf2ae78bbc5e20e514e47;
nNIKAL100_mExportSymbol(_4c73fd2025adf2ae78bbc5e20e514e47);
/* _ZN9nNIFSL10021iStreamAndLockFactory13___CPPKRLCastEPS0_PKPv=_b092ee887da8d2863e1cf16c6fb1a58d */
extern int _b092ee887da8d2863e1cf16c6fb1a58d;
nNIKAL100_mExportSymbol(_b092ee887da8d2863e1cf16c6fb1a58d);
/* _ZNK9nNIFSL10021iStreamAndLockFactory20___CPPKRLDynamicCastEPKPv=_9cbf195a76964bd04cde8aad7cd93856 */
extern int _9cbf195a76964bd04cde8aad7cd93856;
nNIKAL100_mExportSymbol(_9cbf195a76964bd04cde8aad7cd93856);
/* _ZN9nNIFSL10021iStreamAndLockFactory20___CPPKRLDynamicCastEPKPv=_997eef8487f2b9ae4a512d193f757d3c */
extern int _997eef8487f2b9ae4a512d193f757d3c;
nNIKAL100_mExportSymbol(_997eef8487f2b9ae4a512d193f757d3c);
extern int _ZN9nNIFSL10021iStreamAndLockFactoryD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10021iStreamAndLockFactoryD2Ev);
extern int _ZN9nNIFSL10021iStreamAndLockFactoryD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10021iStreamAndLockFactoryD1Ev);
extern int _ZN9nNIFSL10021iStreamAndLockFactoryD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10021iStreamAndLockFactoryD0Ev);
/* _ZN9nNIFSL10023tEventDispatcherFactory22destroyEventDispatcherEPNS_16iEventDispatcherERN10nNIMDBG1008tStatus2E=_9a9bbdee1653bfdddab9120dafb887bd */
extern int _9a9bbdee1653bfdddab9120dafb887bd;
nNIKAL100_mExportSymbol(_9a9bbdee1653bfdddab9120dafb887bd);
/* _ZN9nNIFSL10023tEventDispatcherFactory21createEventDispatcherEPNS_18iMessageDispatcherERKNS_25tEventDispatcherParameterERN10nNIMDBG1008tStatus2E=_83008acd111493320297ccd46a6ce5fb */
extern int _83008acd111493320297ccd46a6ce5fb;
nNIKAL100_mExportSymbol(_83008acd111493320297ccd46a6ce5fb);
/* _ZN9nNIFSL10025tEventDispatcherParameter13___CPPKRLCastEPKS0_PKPv=_30d4f78386948a20d84721c0ac7877d7 */
extern int _30d4f78386948a20d84721c0ac7877d7;
nNIKAL100_mExportSymbol(_30d4f78386948a20d84721c0ac7877d7);
/* _ZN9nNIFSL10025tEventDispatcherParameter13___CPPKRLCastEPS0_PKPv=_82b974991f156bfe56f502ed6bcfcd13 */
extern int _82b974991f156bfe56f502ed6bcfcd13;
nNIKAL100_mExportSymbol(_82b974991f156bfe56f502ed6bcfcd13);
/* _ZNK9nNIFSL10025tEventDispatcherParameter20___CPPKRLDynamicCastEPKPv=_9ee6f6fdeab1b5bbd1131e00f041d319 */
extern int _9ee6f6fdeab1b5bbd1131e00f041d319;
nNIKAL100_mExportSymbol(_9ee6f6fdeab1b5bbd1131e00f041d319);
/* _ZN9nNIFSL10025tEventDispatcherParameter20___CPPKRLDynamicCastEPKPv=_58a8ca71b52428869ad1cfaaad74ea09 */
extern int _58a8ca71b52428869ad1cfaaad74ea09;
nNIKAL100_mExportSymbol(_58a8ca71b52428869ad1cfaaad74ea09);
extern int _ZN9nNIFSL10027tEventObserverSpecificationD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027tEventObserverSpecificationD2Ev);
extern int _ZN9nNIFSL10027tEventObserverSpecificationD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027tEventObserverSpecificationD1Ev);
/* _ZN9nNIFSL10027tEventObserverSpecificationC1EttttRN10nNIMDBG1008tStatus2Ej=_2ce731d3bff6208ec4223cdab20f21fd */
extern int _2ce731d3bff6208ec4223cdab20f21fd;
nNIKAL100_mExportSymbol(_2ce731d3bff6208ec4223cdab20f21fd);
/* _ZN9nNIFSL10027tEventObserverSpecificationC2EttttRN10nNIMDBG1008tStatus2Ej=_3323955e8e58e0ca693225998ab442c8 */
extern int _3323955e8e58e0ca693225998ab442c8;
nNIKAL100_mExportSymbol(_3323955e8e58e0ca693225998ab442c8);
/* _ZN9nNIFSL10027tEventObserverSpecificationC1ERNS_14iEventObserverEttttRN10nNIMDBG1008tStatus2Ej=_7b28581625daed436492108f109eb84b */
extern int _7b28581625daed436492108f109eb84b;
nNIKAL100_mExportSymbol(_7b28581625daed436492108f109eb84b);
/* _ZN9nNIFSL10027tEventObserverSpecificationC2ERNS_14iEventObserverEttttRN10nNIMDBG1008tStatus2Ej=_a083d4a5a233617b64f940178217fb03 */
extern int _a083d4a5a233617b64f940178217fb03;
nNIKAL100_mExportSymbol(_a083d4a5a233617b64f940178217fb03);
extern int _ZN9nNIFSL10027tEventObserverSpecificationC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027tEventObserverSpecificationC1Ev);
extern int _ZN9nNIFSL10027tEventObserverSpecificationC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027tEventObserverSpecificationC2Ev);
/* _ZN9nNIFSL10027tMessageDispatcherParameter13___CPPKRLCastEPKS0_PKPv=_77c992f7fe1edf7bb1c3ee95b065d9df */
extern int _77c992f7fe1edf7bb1c3ee95b065d9df;
nNIKAL100_mExportSymbol(_77c992f7fe1edf7bb1c3ee95b065d9df);
/* _ZN9nNIFSL10027tMessageDispatcherParameter13___CPPKRLCastEPS0_PKPv=_8b2dfb6992075d119ec8908816d209ec */
extern int _8b2dfb6992075d119ec8908816d209ec;
nNIKAL100_mExportSymbol(_8b2dfb6992075d119ec8908816d209ec);
/* _ZNK9nNIFSL10027tMessageDispatcherParameter20___CPPKRLDynamicCastEPKPv=_0362c1554a93e7def21751949aaaacd7 */
extern int _0362c1554a93e7def21751949aaaacd7;
nNIKAL100_mExportSymbol(_0362c1554a93e7def21751949aaaacd7);
/* _ZN9nNIFSL10027tMessageDispatcherParameter20___CPPKRLDynamicCastEPKPv=_4c40a6b68e0cbb69b1194d30a3c4249f */
extern int _4c40a6b68e0cbb69b1194d30a3c4249f;
nNIKAL100_mExportSymbol(_4c40a6b68e0cbb69b1194d30a3c4249f);
extern int _ZN9nNIFSL10014tReplyTransferD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014tReplyTransferD2Ev);
extern int _ZN9nNIFSL10014tReplyTransferD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014tReplyTransferD1Ev);
/* _ZN9nNIFSL10014tReplyTransferC1EPhjRN10nNIMDBG1008tStatus2E=_ba93e692d543598fa618b1b253b2493d */
extern int _ba93e692d543598fa618b1b253b2493d;
nNIKAL100_mExportSymbol(_ba93e692d543598fa618b1b253b2493d);
/* _ZN9nNIFSL10014tReplyTransferC1EjRN10nNIMDBG1008tStatus2E=_3839d750f3d2305a57e7a7b00fda10d0 */
extern int _3839d750f3d2305a57e7a7b00fda10d0;
nNIKAL100_mExportSymbol(_3839d750f3d2305a57e7a7b00fda10d0);
/* _ZN9nNIFSL10014tReplyTransferC2EPhjRN10nNIMDBG1008tStatus2E=_0664ae8a3f6b41bd4c2fcf9f5c71d651 */
extern int _0664ae8a3f6b41bd4c2fcf9f5c71d651;
nNIKAL100_mExportSymbol(_0664ae8a3f6b41bd4c2fcf9f5c71d651);
/* _ZN9nNIFSL10014tReplyTransferC2EjRN10nNIMDBG1008tStatus2E=_4deef64c2d61cf668456fb7ab9a0bbea */
extern int _4deef64c2d61cf668456fb7ab9a0bbea;
nNIKAL100_mExportSymbol(_4deef64c2d61cf668456fb7ab9a0bbea);
extern int _ZN9nNIFSL10015tRequestContextD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10015tRequestContextD2Ev);
extern int _ZN9nNIFSL10015tRequestContextD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10015tRequestContextD1Ev);
/* _ZN9nNIFSL10015tRequestContextC1EhRN10nNIMDBG1008tStatus2Ej=_48ae3cd77998428dc054b785f0bfd22c */
extern int _48ae3cd77998428dc054b785f0bfd22c;
nNIKAL100_mExportSymbol(_48ae3cd77998428dc054b785f0bfd22c);
/* _ZN9nNIFSL10015tRequestContextC2EhRN10nNIMDBG1008tStatus2Ej=_9f3457e70a6ef081b943916613258e34 */
extern int _9f3457e70a6ef081b943916613258e34;
nNIKAL100_mExportSymbol(_9f3457e70a6ef081b943916613258e34);
extern int _ZN9nNIFSL10016tRequestTransferD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016tRequestTransferD2Ev);
extern int _ZN9nNIFSL10016tRequestTransferD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016tRequestTransferD1Ev);
/* _ZN9nNIFSL10016tRequestTransferC2ERNS_15tRequestContextERN10nNIMDBG1008tStatus2E=_f5ccfa329d4387fb46086e1c5faf6f22 */
extern int _f5ccfa329d4387fb46086e1c5faf6f22;
nNIKAL100_mExportSymbol(_f5ccfa329d4387fb46086e1c5faf6f22);
/* _ZN9nNIFSL10016tRequestTransferC1ERNS_15tRequestContextERN10nNIMDBG1008tStatus2E=_ef1bdbde0219f62395126f4f5a54ec8e */
extern int _ef1bdbde0219f62395126f4f5a54ec8e;
nNIKAL100_mExportSymbol(_ef1bdbde0219f62395126f4f5a54ec8e);
extern int _ZN9nNIFSL10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10017getCurrentVersionERi);
extern int _ZN9nNIFSL10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10026getOldestCompatibleVersionERi);
extern int _ZN9nNIFSL10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIFSL10019iConnectionStrategy10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10019iConnectionStrategy10___classIDE);
/* _ZN9nNIFSL10034tEventDispatcherParameterSimulated10___classIDE=_66de4a55780f452895ac6c17588e2f25 */
extern int _66de4a55780f452895ac6c17588e2f25;
nNIKAL100_mExportSymbol(_66de4a55780f452895ac6c17588e2f25);
/* _ZN9nNIFSL10036tMessageDispatcherParameterSimulated10___classIDE=_fc5ea70a06b129ce4a9c4cbb03d2d3de */
extern int _fc5ea70a06b129ce4a9c4cbb03d2d3de;
nNIKAL100_mExportSymbol(_fc5ea70a06b129ce4a9c4cbb03d2d3de);
/* _ZN9nNIFSL10031tEventDispatcherParameterPolled10___classIDE=_20db1fb0827e90b686ec78e5155bcfeb */
extern int _20db1fb0827e90b686ec78e5155bcfeb;
nNIKAL100_mExportSymbol(_20db1fb0827e90b686ec78e5155bcfeb);
/* _ZN9nNIFSL10037tEventDispatcherParameterUSBInterrupt10___classIDE=_82b7f56d1fc09174d09fc5de89d605d3 */
extern int _82b7f56d1fc09174d09fc5de89d605d3;
nNIKAL100_mExportSymbol(_82b7f56d1fc09174d09fc5de89d605d3);
/* _ZN9nNIFSL10030tMessageDispatcherParameterUSB10___classIDE=_4f16ef20b333f995c799d80ca814793e */
extern int _4f16ef20b333f995c799d80ca814793e;
nNIKAL100_mExportSymbol(_4f16ef20b333f995c799d80ca814793e);
extern int _ZN9nNIFSL10022iHeartbeatLossObserver10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022iHeartbeatLossObserver10___classIDE);
/* _ZN9nNIFSL10028tEventDispatcherParameterTCP10___classIDE=_725c63705450ba434a26eb1f0613daf5 */
extern int _725c63705450ba434a26eb1f0613daf5;
nNIKAL100_mExportSymbol(_725c63705450ba434a26eb1f0613daf5);
/* _ZN9nNIFSL10030tMessageDispatcherParameterTCP10___classIDE=_4cdc1acb7ef7663a23e43ce189f11eda */
extern int _4cdc1acb7ef7663a23e43ce189f11eda;
nNIKAL100_mExportSymbol(_4cdc1acb7ef7663a23e43ce189f11eda);
extern int _ZN9nNIFSL10022tTCPConnectionStrategy10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10022tTCPConnectionStrategy10___classIDE);
/* _ZN9nNIFSL10043tEventDispatcherParameterCHInChSharedMemory10___classIDE=_3a25935c6f572a1c2b593556c5ecd025 */
extern int _3a25935c6f572a1c2b593556c5ecd025;
nNIKAL100_mExportSymbol(_3a25935c6f572a1c2b593556c5ecd025);
/* _ZN9nNIFSL10045tMessageDispatcherParameterCHInChSharedMemory10___classIDE=_aa2839e7b2f7c2137e153a8dc342c148 */
extern int _aa2839e7b2f7c2137e153a8dc342c148;
nNIKAL100_mExportSymbol(_aa2839e7b2f7c2137e153a8dc342c148);
extern int _ZN9nNIFSL10016iEventDispatcher10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10016iEventDispatcher10___classIDE);
extern int _ZN9nNIFSL10014iEventInjector10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventInjector10___classIDE);
extern int _ZN9nNIFSL10014iEventObserver10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10014iEventObserver10___classIDE);
extern int _ZN9nNIFSL10018iMessageDispatcher10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10018iMessageDispatcher10___classIDE);
extern int _ZN9nNIFSL10021iStreamAndLockFactory10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10021iStreamAndLockFactory10___classIDE);
extern int _ZN9nNIFSL10025tEventDispatcherParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10025tEventDispatcherParameter10___classIDE);
extern int _ZN9nNIFSL10027tMessageDispatcherParameter10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIFSL10027tMessageDispatcherParameter10___classIDE);
extern int _ZTVN9nNIFSL10014iEventObserverE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10014iEventObserverE);
extern int _ZTVN9nNIFSL10025tEventDispatcherParameterE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10025tEventDispatcherParameterE);
extern int _ZTVN9nNIFSL10027tMessageDispatcherParameterE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10027tMessageDispatcherParameterE);
extern int _ZTVN9nNIFSL10030tMessageDispatcherParameterUSBE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10030tMessageDispatcherParameterUSBE);
extern int _ZTVN9nNIFSL10034tEventDispatcherParameterSimulatedE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10034tEventDispatcherParameterSimulatedE);
extern int _ZTVN9nNIFSL10036tMessageDispatcherParameterSimulatedE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10036tMessageDispatcherParameterSimulatedE);
extern int _ZTVN9nNIFSL10037tEventDispatcherParameterUSBInterruptE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10037tEventDispatcherParameterUSBInterruptE);
extern int _ZTVN9nNIFSL10028tEventDispatcherParameterTCPE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10028tEventDispatcherParameterTCPE);
extern int _ZTVN9nNIFSL10030tMessageDispatcherParameterTCPE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10030tMessageDispatcherParameterTCPE);
extern int _ZTVN9nNIFSL10022iHeartbeatLossObserverE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10022iHeartbeatLossObserverE);
extern int _ZTVN9nNIFSL10021iStreamAndLockFactoryE;
nNIKAL100_mExportSymbol(_ZTVN9nNIFSL10021iStreamAndLockFactoryE);
